//////////////////////////////////////////////////////////////////////////////////	 
//本程序只供学习使用，未经作者许可，不得用于其它商业用途
//测试硬件：单片机STM32F103C8T6,F103C8T6核心开发板,主频72MHZ，晶振8MHZ
//QDtech-TFT液晶驱动 for STM32 IO模拟
//Chan@ShenZhen QDtech co.,LTD
//公司网站:www.qdtft.com
//wiki技术资料网站：http://www.lcdwiki.com
//我司提供技术支持，任何技术问题欢迎随时交流学习
//固话(传真) :+86 0755-21077707 
//手机: (销售)18823372746 （技术)15989313508
//邮箱:(销售/订单) sales@qdtft.com  (售后/技术服务)service@qdtft.com
//QQ:(售前咨询)3002706772 (技术支持)3002778157
//技术交流QQ群:778679828
//创建日期:2020/05/07
//版本：V1.0
//版权所有，盗版必究。
//Copyright(C) 深圳市全动电子技术有限公司 2018-2028
//All rights reserved
/****************************************************************************************************
//=========================================电源接线================================================//
//    OLED模块             单片机
//      5V        接    DC5V或3.3V电源
//      GND       接        GND                        
//======================================OLED屏数据线接线==========================================//
//本模块数据总线类型为IIC
//    OLED模块             单片机
//      SCL       接        PA5     // IIC时钟信号
//      SDA       接        PA7     // IIC数据信号
//======================================OLED屏控制线接线==========================================//
//本模块数据总线类型为IIC，不需要接控制信号线    
//=========================================触摸屏接线=========================================//
//本模块本身不带触摸，不需要接触摸屏线
//============================================================================================//
@attention
  *
  * THE PRESENT FIRMWARE WHICH IS FOR GUIDANCE ONLY AIMS AT PROVIDING CUSTOMERS
  * WITH CODING INFORMATION REGARDING THEIR PRODUCTS IN ORDER FOR THEM TO SAVE
  * TIME. AS A RESULT, QD electronic SHALL NOT BE HELD LIABLE FOR ANY
  * DIRECT, INDIRECT OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
  * FROM THE CONTENT OF SUCH FIRMWARE AND/OR THE USE MADE BY CUSTOMERS OF THE
  * CODING INFORMATION CONTAINED HEREIN IN CONNECTION WITH THEIR PRODUCTS.
**************************************************************************************************/
#ifndef __GUI_H__
#define __GUI_H__
#include "sys.h"

void OLED_draw_point(u8 x,u8 y,u8 d);
void OLED_draw_line(u8 x1, u8 y1, u8 x2, u8 y2);
void OLED_draw_rectangle(u16 x1, u16 y1, u16 x2, u16 y2);
void OLED_Fill(u16 sx,u16 sy,u16 ex,u16 ey,u16 color);
void OLED_gui_circle(int xc, int yc,u16 c,int r, int fill);
void OLED_display_string_5x8(unsigned char column,unsigned char row,unsigned char reverse,unsigned char *text);
void OLED_display_string_8x16(u8 column,u8 row,u8 *text);
void OLED_display_string_12x24(u8 column,u8 row,u8 *text);
void OLED_display_string_16x32(u8 column,u8 row,u8 *text);
void OLED_display_string_16x16(u8 column,u8 row,u8 *text);
void OLED_disp_string_8x16_16x16(u8 column,u8 row,u8 *text);
void OLED_put_Char(unsigned char C);
void OLED_put_String(const char *String);	
void OLED_disp_pic_BMP(u8 x, u8 y,const unsigned char *pic,char value,u32 len);
void OLED_show_run_page(void);
void OLED_modify_num(u8 x, u8 y,u32 num,u8 type);
#endif
